SDL_RenderEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID

## Detailed Description

Renderer event structure (event.render.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 740 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_RenderEvent::reserved

Definition at line 743 of file SDL_events.h.

## timestamp

Uint64 SDL_RenderEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 744 of file SDL_events.h.

## type

SDL_EventType SDL_RenderEvent::type

SDL_EVENT_RENDER_TARGETS_RESET, SDL_EVENT_RENDER_DEVICE_RESET, SDL_EVENT_RENDER_DEVICE_LOST

Definition at line 742 of file SDL_events.h.

## windowID

SDL_WindowID SDL_RenderEvent::windowID

The window containing the renderer in question.

Definition at line 745 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h